/* Constants for use with AmiSlate's ARexx interface */

/* When communicating information about which tool (a.k.a mode) the local
   or remote client is in, AmiSlate makes use of the following constants.
   It is a good idea to copy the following declarations into the beginning
   of your ARexx program in order to later easy refer to different modes. */

/* Mode Constants for use with AmiSlate's ARexx interface */
AMode.DOT      =  0 
AMode.PEN      =  1 
AMode.LINE     =  2 
AMode.CIRCLE   =  3 
AMode.SQUARE   =  4 
AMode.POLY     =  5 
AMode.FLOOD    =  6 
AMode.DTEXT    =  7 
AMode.FILLCIRCLE = 13
AMode.FILLSQUARE = 14

/* When replying to the WaitEvent function, AmiSlate uses a set of message 
   codes to indicate which type of event occured.  Note that despite the 
   binarily-disjoint nature of the following constants, only one type
   of event currently is replied per WaitEvent call. */

/* Message reply codes for use with AmiSlate's ARexx interface */
AMessage.TIMEOUT     = 1	/* No events occurred in specified time period */
AMessage.MESSAGE     = 2	/* Message recieved from remote Amiga */
AMessage.MOUSEDOWN   = 4	/* Left mouse button press in drawing area */
AMessage.MOUSEUP     = 8	/* Left mouse button release in drawing area */
AMessage.RESIZE      = 16	/* Window was resized--time to redraw screen? */ 
AMessage.QUIT        = 32	/* AmiSlate is shutting down */
AMessage.CONNECT     = 64	/* Connection established */
AMessage.DISCONNECT  = 128	/* Connection broken */
AMessage.TOOLSELECT  = 256	/* Tool Selected */
AMessage.COLORSELECT = 512	/* Palette Color selected */
AMessage.KEYPRESS    = 1024	/* Key pressed */

/* Furthermore, when MESSAGE events are replied, the following subtypes
   (returned in the code1 result variable) reflect the origin of the
   received method: */

AMessageOrg.STRINGUSER      = 1	/* String was sent by remote ARexx script */
AMessageOrg.STRINGEASYREQ   = 2 /* String was sent by remote EasyRequester */
AMessageOrg.STRINGSTRINGREQ = 3 /* String was sent by remote StringRequester */

